<?php $style=' style="display:block; padding:4px 16px; margin:4px; background:#eaeaea; border-left:2px solid" '; ?>
<h2>Aide</h2>

<p>J'ai créé ce plugin afin de personnaliser le template tags.php mais les applications peuvent être tout autre !<br/>
<a href="http://forum.pluxml.org/viewtopic.php?pid=47093" title="suivre le plugin">Lien vers la discussion du plugin</a></p>

<h3>Fonctionnement du plugin</h3>
<ol>
	<li>via l'administration du plugin :
		<ol>
			<li>il liste l'ensemble des mots-clefs utilisés</li>
			<li>il associe 2 types de contenu par mot-clefs
				<ol>
					<li>l'url d'une image (thumbnail),</li>
					<li>une description (content).</li>
				</ol>
			</li>
		</ol>
	</li>
	<li>via n'importe quel template ( 'tag' étant votre mot-clef) :
		<ol>
			<li>il <b>affiche</b> le contenu
				<ul>
					<li>pour la description :
						<code<?php echo $style;?>><?php echo htmlentities("<?php eval(\$plxShow->callHook('extendTags_content','tag')); ?>");?></code>
					</li>
					<li>pour l'url de l'image :
						<code<?php echo $style;?>><?php echo htmlentities("<?php eval(\$plxShow->callHook('extendTags_thumbnail','tag')); ?>");?></code>
					</li>
				</ul>
			</li>
			<li>il <b>retourne</b> le contenu
				<ul>
					<li>pour la description :
						<code<?php echo $style;?>>
							<?php echo htmlentities("<?php"); ?><br/>
							<?php echo htmlentities("\$content = \$plxShow->callHook('extendTags_content_R', 'tag'));"); ?><br/>
							<?php echo htmlentities("if(\$content!=\"\") {"); ?><br/>
							<?php echo htmlentities("echo \"il existe une description\";"); ?><br/>
							<?php echo htmlentities("}"); ?><br/>
							<?php echo htmlentities("?>"); ?><br/>
						</code>
					</li>
					<li>pour l'url de l'image :
						<code<?php echo $style;?>>
							<?php echo htmlentities("<?php"); ?><br/>
							<?php echo htmlentities("\$thumbnail = \$plxShow->callHook('extendTags_thumbnail_R', 'tag'));"); ?><br/>
							<?php echo htmlentities("if(\$thumbnail!=\"\") {"); ?><br/>
							<?php echo htmlentities("echo \"il existe une url\";"); ?><br/>
							<?php echo htmlentities("}"); ?><br/>
							<?php echo htmlentities("?>"); ?><br/>
						</code>
					</li>
				</ul>
			</li>
		</ol>
	</li>
</ol>

<h3>Astuce</h3>
<p>Comme je le disais en intro, ce plugin sert à personnaliser le template tags.php<br/>
De ce fait on va afficher l'image et la description du mot-clef <b>dans le template tags.php</b> :</p>

<ol>
	<li>Commençons par récupérer le mot-clef actif formaté :
		<code<?php echo $style;?>><?php echo htmlentities("<?php \$tag = plxUtils::strCheck(\$plxShow->plxMotor->cible); ?>");?></code>
	</li>
	<li>Affichons sa description si elle existe :
		<code<?php echo $style;?>>
			<?php echo htmlentities("<?php"); ?><br/>
			<?php echo htmlentities("\$content = \$plxShow->callHook('extendTags_content_R', \$tag);"); ?><br/>
			<?php echo htmlentities('if($content!="") {echo $content;}'); ?><br/>
			<?php echo htmlentities("?>"); ?><br/>
		</code>
	</li>
	<li>Affichons son image si elle existe :
		<code<?php echo $style;?>>
			<?php echo htmlentities("<?php"); ?><br/>
			<?php echo htmlentities("\$thumbnail = \$plxShow->callHook('extendTags_thumbnail_R', \$tag);"); ?><br/>
			<?php echo htmlentities("if(\$thumbnail!=\"\") : ?>"); ?><br/>
			<?php echo htmlentities('<img src="<?php echo $thumbnail; ?>" alt="<?php $plxShow->tagName(); ?>">'); ?><br/>
			<?php echo htmlentities("<?php endif; ?>"); ?><br/>
		</code>
	</li>
</ol>